package com.hfkj.service.gas;

import com.hfkj.entity.BsGasClassGroup;

import java.util.List;
import java.util.Map;

/**
 * 加油站班组服务
 * @author hurui
 */
public interface BsGasClassGroupService {

    /**
     * 编辑班组
     * @param gasClassGroup
     */
    void editGroup(BsGasClassGroup gasClassGroup);

    /**
     * 删除班组
     * @param groupId
     */
    void delGroup(Long groupId);

    /**
     * 根据id查询详情
     * @param groupId
     * @return
     */
    BsGasClassGroup getDetailById(Long groupId);

    /**
     * 查询班组列表
     * @param param
     * @return
     */
    List<BsGasClassGroup> getGroupList(Map<String, Object> param);

}
